## wpa 2.10-21ubuntu0.3trisquel1

=== debian/changelog ===
wpa (2:2.10-21ubuntu0.3trisquel1) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 02 Oct 2025 18:51:12 +0000

wpa (2:2.10-21ubuntu0.3) noble; urgency=medium

  * Bump DEFAULT_BSS_MAX_COUNT to 1000 (LP: #2117180)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Mon, 21 Jul 2025 18:13:31 -0500
