=== debian/control ===
Source: wpa
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian wpasupplicant Maintainers <wpa@packages.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
 libdbus-1-dev,
 libssl-dev,
 qtbase5-dev [linux-any] <!pkg.wpa.nogui>,
 libncurses5-dev,
 libpcsclite-dev,
 libnl-3-dev [linux-any],
 libnl-genl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libpcap-dev [kfreebsd-any],
 libbsd-dev [kfreebsd-any],
 libreadline-dev,
 pkgconf | pkg-config,
 docbook-to-man <!nodoc>,
 docbook-utils <!nodoc>,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/wpa
Vcs-Git: https://salsa.debian.org/debian/wpa.git
Homepage: https://w1.fi/wpa_supplicant/

Package: hostapd
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
Description: access point and authentication server for Wi-Fi and Ethernet
 IEEE 802.11 AP and IEEE 802.1X/WPA/WPA2/WPA3/EAP Authenticator
 .
 Originally, hostapd was an optional user space component for Host AP
 driver. It adds more features to the basic IEEE 802.11 management
 included in the kernel driver: using external RADIUS authentication
 server for MAC address based access control, IEEE 802.1X Authenticator
 and dynamic WEP keying, RADIUS accounting, WPA/WPA2/WPA3 (IEEE 802.11i/RSN)
 Authenticator and dynamic TKIP/CCMP keying.
 .
 The current version includes support for other drivers, an integrated
 EAP authenticator (i.e., allow full authentication without requiring
 an external RADIUS authentication server), and RADIUS authentication
 server for EAP authentication.
 .
 hostapd works with the following drivers:
 .
  * mac80211 based drivers with support for master mode [linux]
  * Host AP driver for Prism2/2.5/3 [linux]
  * Driver interface for FreeBSD net80211 layer [kfreebsd]
  * Any wired Ethernet driver for wired IEEE 802.1X authentication.

Package: wpagui
Architecture: linux-any
Build-Profiles: <!pkg.wpa.nogui>
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 wpasupplicant,
 libqt5svg5
Description: graphical user interface for wpa_supplicant
 wpagui provides a Qt interface for choosing which configured network
 to connect to. It also provides a method for browsing 802.11 SSID scan
 results, an event history log of messages generated by wpa_supplicant,
 and a method to add or edit wpa_supplicant networks.

Package: wpasupplicant
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser
Breaks: network-manager (<< 1.36.4-2~)
Suggests: wpagui,
 libengine-pkcs11-openssl
Description: client support for WPA and WPA2 (IEEE 802.11i)
 wpa-supplicant is a userspace daemon handling connection and authentication
 in wireless and wired networks, primarily secured with the WPA/WPA2/WPA3
 protocols. This software provides key negotiation with the access point
 (WPA Authenticator), and controls association with IEEE 802.11i networks.

Package: wpasupplicant-udeb
Architecture: linux-any
Build-Profiles: <!noudeb>
Section: debian-installer
Priority: standard
Depends: ${shlibs:Depends},
 ${misc:Depends},
 busybox-udeb
Package-Type: udeb
Description: client support for WPA and WPA2 (IEEE 802.11i)
 wpa-supplicant is a userspace daemon handling connection and authentication
 in wireless and wired networks, primarily secured with the WPA/WPA2/WPA3
 protocols. This software provides key negotiation with the access point
 (WPA Authenticator), and controls association with IEEE 802.11i networks.
 .
 This is a udeb of wpasupplicant for use by the debian-installer.

Package: eapoltest
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: EAPoL testing utility
 eapol_test allows testing EAP authentication methods without using
 a full 802.1X connection. It is frequently used to test the EAP
 configuration of RADIUS systems. It is an administrator tool and not
 required for standard 802.1X authentication.

Package: libwpa-client-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libwpa-dev
Breaks: libwpa-dev
Description: development files for WPA/WPA2 client support (IEEE 802.11i)
 wpa-supplicant is a userspace daemon handling connection and authentication
 in wireless and wired networks, primarily secured with the WPA/WPA2/WPA3
 protocols. This software provides key negotiation with the access point
 (WPA Authenticator), and controls association with IEEE 802.11i networks.
 .
 This package contains static libwpa_client library and header files.
