=== debian/changelog ===
wpa (2:2.11-2) experimental; urgency=medium

  * Remove deprecated symbolic link to /usr/share/doc/wpa_supplicant
    (Closes: #1103299).
  * Start hostapd@ after the device exists (Closes: #923461).
  * No longer log to syslog when being run by systemd (Closes: #925153).
  * Remove misleading wpa_cli usage comment (Closes: #819229).
  * Build and install nt_password_hash and sae_pk_gen (Closes: #1065209).
  * Sync defconfig.
  * Enable CONFIG_SAE_PK and CONFIG_IEEE80211AX.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 16 Feb 2026 18:04:00 +0100

wpa (2:2.11-1) experimental; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Set up gbp.conf for experimental.
  * Refresh patches.
  * Remove kFreeBSD support: no longer developed in Debian.

  [ Rob Shearman ]
  * debian/watch: Fix Git server and protocol.
  * debian/control: Remove mentions of kfreebsd-any.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 16 Feb 2026 14:12:09 +0100
