=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: wpa
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian wpasupplicant Maintainers <wpa@packages.debian.org>
+Maintainer: Debian Networking Team <team+networking@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+ dh-sequence-installsysusers,
  libdbus-1-dev,
  libssl-dev,
  qtbase5-dev [linux-any] <!pkg.wpa.nogui>,
@@ -14,8 +14,6 @@
  libnl-3-dev [linux-any],
  libnl-genl-3-dev [linux-any],
  libnl-route-3-dev [linux-any],
- libpcap-dev [kfreebsd-any],
- libbsd-dev [kfreebsd-any],
  libreadline-dev,
  pkgconf | pkg-config,
  docbook-to-man <!nodoc>,
@@ -27,7 +25,7 @@
 Homepage: https://w1.fi/wpa_supplicant/
 
 Package: hostapd
-Architecture: linux-any kfreebsd-any
+Architecture: linux-any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -51,7 +49,6 @@
  .
   * mac80211 based drivers with support for master mode [linux]
   * Host AP driver for Prism2/2.5/3 [linux]
-  * Driver interface for FreeBSD net80211 layer [kfreebsd]
   * Any wired Ethernet driver for wired IEEE 802.1X authentication.
 
 Package: wpagui
@@ -69,11 +66,10 @@
  and a method to add or edit wpa_supplicant networks.
 
 Package: wpasupplicant
-Architecture: linux-any kfreebsd-any
+Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- adduser
 Breaks: network-manager (<< 1.36.4-2~)
 Suggests: wpagui,
  libengine-pkcs11-openssl
@@ -101,7 +97,7 @@
  This is a udeb of wpasupplicant for use by the debian-installer.
 
 Package: eapoltest
-Architecture: linux-any kfreebsd-any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: EAPoL testing utility
@@ -112,7 +108,7 @@
 
 Package: libwpa-client-dev
 Section: libdevel
-Architecture: linux-any kfreebsd-any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libwpa-dev
