## wpa actiond-1.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	make -C wpa_ctrl
 
 $(TARGET): wpactrl $(OBJS)
-	$(CC) $(LINKOBJS) $(CFLAGS) $(LIBS) -o $(TARGET)
+	$(CC) $(LINKOBJS) $(CFLAGS) $(LDFLAGS) $(LIBS) -o $(TARGET)
 
 clean:
 	make -C wpa_ctrl clean
