## wpa actiond-1.3

=== wpa_ctrl/Makefile ===
OBJS = wpa_ctrl.o os_strlcpy.o
CTRLFLAGS = -DCONFIG_CTRL_IFACE -DCONFIG_CTRL_IFACE_UNIX

all: $(OBJS)

clean:
	rm -f $(OBJS) $(TARGET)

wpa_ctrl.o: common.h os.h wpa_debug.h wpabuf.h includes.h build_config.h wpa_ctrl.h wpa_ctrl.c
os_strlcpy.o: os.h includes.h build_config.h os_strlcpy.c

%.o: %.c
	$(CC) -c $(CFLAGS) $(CTRLFLAGS) $< -o $@
