## wpa actiond-1.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC = gcc
 OBJS = wpa_actiond.o
-LINKOBJS = wpa_ctrl/wpa_ctrl.o wpa_ctrl/os_strlcpy.o $(OBJS)
+LINKOBJS = wpa_ctrl/wpa_ctrl.o wpa_ctrl/os_unix.o $(OBJS)
 TARGET = wpa_actiond
 LIBS =
